package com.pqs9200.pojo.data;

import java.io.Serializable;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2021/12/13 11:18
 */

public class SvgCells implements Serializable {

    //图元id
    private Integer cellIndex;
    //图元名称
    private String cellName;
    //电缆长度
    private Float cableLength;
    //电压等级
    private Float cellLevel;
    //正序电阻
    private Float positiveSequenceResistance;
    //正序电抗
    private Float positiveSequenceReactance;
    //零序电阻
    private Float zeroSequenceResistance;
    //零序电抗
    private Float zeroSequenceReactance;
    //转换系数
    private Float coefficient;
    //暂降敏感点关联一次接线图
    private String wiringDiagram;
    //图元类型 1:电缆 2:暂降敏感点 3:变电站 4:发电厂 5:变压器
    private Integer cellType;
    //创建者
    private String createBy;
    //创建时间
    private String createTime;
    //更新者
    private String updateBy;
    //更新时间
    private String updateTime;
    //变电站运行电压
    private Float runLevel;
    //变压器正序导纳
    private Float positiveAdmittance;
    //变压器零序导纳
    private Float zeroAdmittance;
    //图元状态 0:删除 1:正常
    private Integer state;

    public Integer getCellIndex() {
        return cellIndex;
    }

    public void setCellIndex(Integer cellIndex) {
        this.cellIndex = cellIndex;
    }

    public String getCellName() {
        return cellName;
    }

    public void setCellName(String cellName) {
        this.cellName = cellName;
    }

    public Float getCableLength() {
        return cableLength;
    }

    public void setCableLength(Float cableLength) {
        this.cableLength = cableLength;
    }

    public Float getCellLevel() {
        return cellLevel;
    }

    public void setCellLevel(Float cellLevel) {
        this.cellLevel = cellLevel;
    }

    public Float getPositiveSequenceResistance() {
        return positiveSequenceResistance;
    }

    public void setPositiveSequenceResistance(Float positiveSequenceResistance) {
        this.positiveSequenceResistance = positiveSequenceResistance;
    }

    public Float getPositiveSequenceReactance() {
        return positiveSequenceReactance;
    }

    public void setPositiveSequenceReactance(Float positiveSequenceReactance) {
        this.positiveSequenceReactance = positiveSequenceReactance;
    }

    public Float getZeroSequenceResistance() {
        return zeroSequenceResistance;
    }

    public void setZeroSequenceResistance(Float zeroSequenceResistance) {
        this.zeroSequenceResistance = zeroSequenceResistance;
    }

    public Float getZeroSequenceReactance() {
        return zeroSequenceReactance;
    }

    public void setZeroSequenceReactance(Float zeroSequenceReactance) {
        this.zeroSequenceReactance = zeroSequenceReactance;
    }

    public Float getCoefficient() {
        return coefficient;
    }

    public void setCoefficient(Float coefficient) {
        this.coefficient = coefficient;
    }

    public Integer getCellType() {
        return cellType;
    }

    public void setCellType(Integer cellType) {
        this.cellType = cellType;
    }

    public String getWiringDiagram() {
        return wiringDiagram;
    }

    public void setWiringDiagram(String wiringDiagram) {
        this.wiringDiagram = wiringDiagram;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Float getRunLevel() {
        return runLevel;
    }

    public void setRunLevel(Float runLevel) {
        this.runLevel = runLevel;
    }

    public Float getPositiveAdmittance() {
        return positiveAdmittance;
    }

    public void setPositiveAdmittance(Float positiveAdmittance) {
        this.positiveAdmittance = positiveAdmittance;
    }

    public Float getZeroAdmittance() {
        return zeroAdmittance;
    }

    public void setZeroAdmittance(Float zeroAdmittance) {
        this.zeroAdmittance = zeroAdmittance;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "SvgCells{" +
                "cellIndex=" + cellIndex +
                ", cellName='" + cellName + '\'' +
                ", cableLength=" + cableLength +
                ", cellLevel=" + cellLevel +
                ", positiveSequenceResistance=" + positiveSequenceResistance +
                ", positiveSequenceReactance=" + positiveSequenceReactance +
                ", zeroSequenceResistance=" + zeroSequenceResistance +
                ", zeroSequenceReactance=" + zeroSequenceReactance +
                ", coefficient=" + coefficient +
                ", wiringDiagram='" + wiringDiagram + '\'' +
                ", cellType=" + cellType +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", runLevel=" + runLevel +
                ", positiveAdmittance=" + positiveAdmittance +
                ", zeroAdmittance=" + zeroAdmittance +
                ", state=" + state +
                '}';
    }
}
